net.sf.jasperreports.crosstabs.type

## Enum CrosstabRowPositionEnum

- java.lang.Object
- - java.lang.Enum<CrosstabRowPositionEnum>
  - - net.sf.jasperreports.crosstabs.type.CrosstabRowPositionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CrosstabRowPositionEnum>, JREnum, NamedEnum

      public enum CrosstabRowPositionEnum
      extends java.lang.Enum<CrosstabRowPositionEnum>
      implements JREnum

  Version:
    $Id: CrosstabRowPositionEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` Vertical stretch position indicating that the contents will be rendered on the bottom.
    `MIDDLE` Vertical stretch position indicating that the contents will be rendered on the middle.
    `STRETCH` Vertical stretch position indicating that the contents will be rendered vertically stretched.
    `TOP` Vertical stretch position indicating that the contents will be rendered on the top.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CrosstabRowPositionEnum` | `getByName(java.lang.String name)`
    `static CrosstabRowPositionEnum` | `getByValue(byte value)`
    `static CrosstabRowPositionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static CrosstabRowPositionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CrosstabRowPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final CrosstabRowPositionEnum TOP

      Vertical stretch position indicating that the contents will be rendered on the top.

    - #### MIDDLE

          public static final CrosstabRowPositionEnum MIDDLE

      Vertical stretch position indicating that the contents will be rendered on the middle.

    - #### BOTTOM

          public static final CrosstabRowPositionEnum BOTTOM

      Vertical stretch position indicating that the contents will be rendered on the bottom.

    - #### STRETCH

          public static final CrosstabRowPositionEnum STRETCH

      Vertical stretch position indicating that the contents will be rendered vertically stretched.

  - ### Method Detail

    - #### values

          public static CrosstabRowPositionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CrosstabRowPositionEnum c : CrosstabRowPositionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CrosstabRowPositionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static CrosstabRowPositionEnum getByName(java.lang.String name)

    - #### getByValue

          public static CrosstabRowPositionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static CrosstabRowPositionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com